Subject: Re: bug#18051: [Emacs-diffs] trunk r117726: Add string collation.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Oct 2014 08:38:31 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  Michael Albinus <[email-masked]>
> Date: Fri, 17 Oct 2014 22:26:32 +0200
> 
> If I remember correctly, I saw just one tiny inconsistency: with the new
> ls-lisp -v switch the sorting position of a backup file named foo~ was
> different from ls -v when also numbered backup files foo~n~ of the same
> file existed.

Is that on Windows or on Unix?

On Windows, this is expected, as only an approximation to the Unicode
Collation Algorithm is available there.

On GNU/Linux, it would be strange, since 'ls' uses the same functions
as Emacs now does in ls-lisp.

> For string collation and locales, I must say that I'm no expert at that
> field and don't really know what tests could be useful for testing.  I
> can only say that everything seems to be ok with the locales I am using.

That's good enough for me, so I'm closing the bug.

Thanks.